<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <title>Borders</title>
        <style>
            #container div {
                display: inline-block;
                border-width: 0.5em;
                border-color: #aaa;
                padding: 1em;
                margin: 1em;
                background-color: #eee;
                font-family: sans-serif;
            }
        </style>
        <script>
            window.addEventListener('DOMContentLoaded', ev => {
                const styles = [ 
                    'solid', 'dashed', 'dotted', 'double', 'groove', 
                    'ridge', 'inset', 'outset', 'none'
                ];
                const container = document.querySelector('#container');
                styles.forEach(style => {
                    const div = document.createElement('div');
                    div.style.borderStyle = style;
                    div.appendChild(document.createTextNode(style));
                    container.appendChild(div);
                });
            });
        </script>
    </head>
    <body>
        <h1>Borders</h1>
        <div id="container"></div>
    </body>
</html>
